import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class DownloadLogs extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<void>;
    zipLogs(responses: any, deployment: any, name: string, directory: string): Promise<void>;
    downloadInstanceLogs: (appName: string, instanceId: string) => Promise<{
        instanceId: string;
        logLines: any;
    }>;
    getLatestDeployment: (deployments: any) => any;
    downloadDeploymentsLogs: (deployments: any, name: string) => Promise<any[]>;
    appDownloadLogs: (name: string, directory: string) => Promise<void>;
}
