export declare const cloudAppsV2 = "/cloudhub/api/v2/applications";
export declare const vpcs: (orgId: string) => any;
export declare const vpc: (orgId: string, vpcId: string) => any;
export declare const loadBalancers: (orgId: string, vpcId: string) => any;
export declare const loadBalancer: (orgId: string, vpcId: string, lbId: string) => any;
export declare const vpcsQuery: (orgId: string, limit: number, offset: number, sort: string) => {
    url: any;
    params: {
        limit: number;
        offset: number;
        sort: string;
    };
};
export declare const cloudAlerts: (limit: number, offset: number) => {
    url: string;
    params: {
        limit: number;
        offset: number;
    };
};
export declare const cloudAlertHistory: (alertId: string) => {
    url: any;
    params: {
        limit: number;
    };
};
export declare const regions = "/cloudhub/api/regions";
export declare const cloudApp: (name: string) => any;
export declare const cloudAppV2: (name: string) => any;
export declare const cloudAppStatus: (name: string) => any;
export declare const cloudAppFileDownload: (appName: string, fileName: string) => any;
export declare const cloudAppStaticIPs: (appName: string) => any;
export declare const cloudAppV2Logs: (appName: string, instanceId: string) => any;
export declare const cloudAppV2Deployments: (appName: string) => {
    url: any;
    params: {
        limit: number;
        orderByDate: string;
    };
};
export declare const cloudAppV2DeploymentLogs: (appName: string, deploymentId: string) => {
    url: any;
    params: {
        limit: number;
    };
};
export declare const cloudHub2 = "/amc/application-manager/api/v2/organizations/%s/environments/%s/deployments";
export declare const cloudHub2Deployments: (orgId: any, envId: any) => any;
export declare const cloudHub2App: (orgId: any, envId: any, appId: any) => any;
export declare const cloudHub2Logs: (orgId: any, envId: any, appId: string, specId: string) => any;
export declare const cloudHub2LogsAfterDocId: (orgId: any, envId: any, appId: any, specId: any, docId: any) => any;
export declare const cloudHub2LogsFile: (orgId: any, envId: any, appId: string, specId: string) => any;
export declare const exchangeGetAssetInfoUri = "/exchange/api/v1/assets/%s/%s";
export declare const exchangeGetAssetInfo: (orgId: any, artifactId: any, groupId: any) => any;
