"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const core_1 = require("@oclif/core");
const utils_1 = require("../../../../helpers/utils");
class Enable extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Enable);
        await (0, utils_1.lbToggleDynamicIPs)(this, args.name, true);
    }
}
exports.default = Enable;
Enable.description = 'Enables dynamic IPs';
Enable.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Enable.args = [{ name: 'name', required: true }];
