import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class Deploy extends AuthenticationBaseCommand {
    static description: string;
    static args: {
        name: string;
        required: boolean;
    }[];
    static flags: {
        output: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        assetVersion: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        groupId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        replicas: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        replicaSize: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        objectStoreV2: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        updateStrategy: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        clustered: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        lastMileSecurity: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        disableAmLogForwarding: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        property: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined>;
        propertiesFile: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        scopeLoggingConfigFile: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        scopeLoggingConfig: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        forwardSslSession: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        pathRewrite: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        publicEndpoints: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    run(): Promise<void>;
    cloudhubApplicationDeploy(args: any, flags: any): Promise<void>;
}
