import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class Deploy extends AuthenticationBaseCommand {
    static description: string;
    static args: {
        name: string;
        required: boolean;
    }[];
    static flags: {
        output: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        runtime: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        workers: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        workerSize: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        region: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        property: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined>;
        propertiesFile: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        persistentQueues: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        persistentQueuesEncrypted: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        staticIPsEnabled: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        objectStoreV1: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        autoRestart: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    run(): Promise<void>;
    cloudhubApplicationDeploy(args: any, flags: any): Promise<void>;
}
